local function get_record_img(color)
	return "((mcla_goldberg_record_mask.png^[colorize:"..color..")^[mask:mcla_goldberg_record_mask.png)^mcla_goldberg_record.png"
end

if not mcl_jukebox.register_record_definition then
	function mcl_jukebox.register_record_definition(def)
		return mcl_jukebox.register_record(def.title, def.author, def.id, def.texture, def.sound, def.exclude_from_creeperdrop)
	end
end

mcl_jukebox.register_record_definition({
	title = "Aria",
	id = "Aria",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_01_-_Aria",
	texture = get_record_img("#D4AC14"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 1 a 1 Clav",
	id = "Variatio_1_a_1_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_02_-_Variatio_1_a_1_Clav",
	texture = get_record_img("#98D70C"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 2 a 1 Clav",
	id = "Variatio_2_a_1_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_03_-_Variatio_2_a_1_Clav",
	texture = get_record_img("#AF9FE9"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 3 a 1 Clav Canone allUnisuono",
	id = "Variatio_3_a_1_Clav_Canone_allUnisuono",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_04_-_Variatio_3_a_1_Clav_Canone_allUnisuono",
	texture = get_record_img("#9CCD6B"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 4 a 1 Clav",
	id = "Variatio_4_a_1_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_05_-_Variatio_4_a_1_Clav",
	texture = get_record_img("#98399E"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 5 a 1 ovvero 2 Clav",
	id = "Variatio_5_a_1_ovvero_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_06_-_Variatio_5_a_1_ovvero_2_Clav",
	texture = get_record_img("#28F613"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 6 a 1 Clav Canone alla Seconda",
	id = "Variatio_6_a_1_Clav_Canone_alla_Seconda",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_07_-_Variatio_6_a_1_Clav_Canone_alla_Seconda",
	texture = get_record_img("#B1FC68"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 7 a 1 ovvero 2 Clav",
	id = "Variatio_7_a_1_ovvero_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_08_-_Variatio_7_a_1_ovvero_2_Clav",
	texture = get_record_img("#10CA81"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 8 a 2 Clav",
	id = "Variatio_8_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_09_-_Variatio_8_a_2_Clav",
	texture = get_record_img("#14560A"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 9 a 1 Clav Canone alla Terza",
	id = "Variatio_9_a_1_Clav_Canone_alla_Terza",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_10_-_Variatio_9_a_1_Clav_Canone_alla_Terza",
	texture = get_record_img("#362965"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 10 a 1 Clav Fughetta",
	id = "Variatio_10_a_1_Clav_Fughetta",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_11_-_Variatio_10_a_1_Clav_Fughetta",
	texture = get_record_img("#C22A57"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 11 a 2 Clav",
	id = "Variatio_11_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_12_-_Variatio_11_a_2_Clav",
	texture = get_record_img("#8DDCA8"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 12 Canone alla Quarta",
	id = "Variatio_12_Canone_alla_Quarta",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_13_-_Variatio_12_Canone_alla_Quarta",
	texture = get_record_img("#26F068"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 13 a 2 Clav",
	id = "Variatio_13_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_14_-_Variatio_13_a_2_Clav",
	texture = get_record_img("#AA30F3"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 14 a 2 Clav",
	id = "Variatio_14_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_15_-_Variatio_14_a_2_Clav",
	texture = get_record_img("#B472CD"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 15 a 1 Clav Canone alla Quinta",
	id = "Variatio_15_a_1_Clav_Canone_alla_Quinta",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_16_-_Variatio_15_a_1_Clav_Canone_alla_Quinta",
	texture = get_record_img("#F5A637"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 16 a 1 Clav Ouverture",
	id = "Variatio_16_a_1_Clav_Ouverture",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_17_-_Variatio_16_a_1_Clav_Ouverture",
	texture = get_record_img("#67046E"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 17 a 2 Clav",
	id = "Variatio_17_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_18_-_Variatio_17_a_2_Clav",
	texture = get_record_img("#B1EEC5"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 18 a 1 Clav Canone alla Sexta",
	id = "Variatio_18_a_1_Clav_Canone_alla_Sexta",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_19_-_Variatio_18_a_1_Clav_Canone_alla_Sexta",
	texture = get_record_img("#FFD595"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 19 a 1 Clav",
	id = "Variatio_19_a_1_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_20_-_Variatio_19_a_1_Clav",
	texture = get_record_img("#4C7287"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 20 a 2 Clav",
	id = "Variatio_20_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_21_-_Variatio_20_a_2_Clav",
	texture = get_record_img("#62B6B6"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 21 Canone alla Settima",
	id = "Variatio_21_Canone_alla_Settima",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_22_-_Variatio_21_Canone_alla_Settima",
	texture = get_record_img("#D3A55F"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 22 a 1 Clav",
	id = "Variatio_22_a_1_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_23_-_Variatio_22_a_1_Clav",
	texture = get_record_img("#73D1C0"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 23 a 2 Clav",
	id = "Variatio_23_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_24_-_Variatio_23_a_2_Clav",
	texture = get_record_img("#F68192"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 24 a 1 Clav Canone allOttava",
	id = "Variatio_24_a_1_Clav_Canone_allOttava",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_25_-_Variatio_24_a_1_Clav_Canone_allOttava",
	texture = get_record_img("#02548C"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 25 a 2 Clav",
	id = "Variatio_25_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_26_-_Variatio_25_a_2_Clav",
	texture = get_record_img("#1AE2AB"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 26 a 2 Clav",
	id = "Variatio_26_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_27_-_Variatio_26_a_2_Clav",
	texture = get_record_img("#772DF2"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 27 a 2 Clav Canone alla Nona",
	id = "Variatio_27_a_2_Clav_Canone_alla_Nona",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_28_-_Variatio_27_a_2_Clav_Canone_alla_Nona",
	texture = get_record_img("#0FB720"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 28 a 2 Clav",
	id = "Variatio_28_a_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_29_-_Variatio_28_a_2_Clav",
	texture = get_record_img("#F10B9A"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 29 a 1 ovvero 2 Clav",
	id = "Variatio_29_a_1_ovvero_2_Clav",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_30_-_Variatio_29_a_1_ovvero_2_Clav",
	texture = get_record_img("#1D304B"),
})
mcl_jukebox.register_record_definition({
	title = "Variatio 30 a 1 Clav Quodlibet",
	id = "Variatio_30_a_1_Clav_Quodlibet",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_31_-_Variatio_30_a_1_Clav_Quodlibet",
	texture = get_record_img("#7B8459"),
})
mcl_jukebox.register_record_definition({
	title = "Aria da Capo  Fine",
	id = "Aria_da_Capo__Fine",
	author = "J.S. Bach, performed by Kimiko Ishizaka",
	sound = "Kimiko_Ishizaka_-_32_-_Aria_da_Capo__Fine",
	texture = get_record_img("#FC380C"),
})

if minetest.global_exists("mcla_music_api") then
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_01_-_Aria",
		length = 299
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_02_-_Variatio_1_a_1_Clav",
		length = 115
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_03_-_Variatio_2_a_1_Clav",
		length = 123
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_04_-_Variatio_3_a_1_Clav_Canone_allUnisuono",
		length = 116
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_05_-_Variatio_4_a_1_Clav",
		length = 68
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_06_-_Variatio_5_a_1_ovvero_2_Clav",
		length = 94
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_07_-_Variatio_6_a_1_Clav_Canone_alla_Seconda",
		length = 98
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_08_-_Variatio_7_a_1_ovvero_2_Clav",
		length = 132
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_09_-_Variatio_8_a_2_Clav",
		length = 116
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_10_-_Variatio_9_a_1_Clav_Canone_alla_Terza",
		length = 126
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_11_-_Variatio_10_a_1_Clav_Fughetta",
		length = 105
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_12_-_Variatio_11_a_2_Clav",
		length = 129
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_13_-_Variatio_12_Canone_alla_Quarta",
		length = 135
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_14_-_Variatio_13_a_2_Clav",
		length = 254
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_15_-_Variatio_14_a_2_Clav",
		length = 136
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_16_-_Variatio_15_a_1_Clav_Canone_alla_Quinta",
		length = 272
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_17_-_Variatio_16_a_1_Clav_Ouverture",
		length = 188
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_18_-_Variatio_17_a_2_Clav",
		length = 104
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_19_-_Variatio_18_a_1_Clav_Canone_alla_Sexta",
		length = 109
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_20_-_Variatio_19_a_1_Clav",
		length = 85
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_21_-_Variatio_20_a_2_Clav",
		length = 125
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_22_-_Variatio_21_Canone_alla_Settima",
		length = 234
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_23_-_Variatio_22_a_1_Clav",
		length = 92
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_24_-_Variatio_23_a_2_Clav",
		length = 139
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_25_-_Variatio_24_a_1_Clav_Canone_allOttava",
		length = 165
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_26_-_Variatio_25_a_2_Clav",
		length = 558
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_27_-_Variatio_26_a_2_Clav",
		length = 122
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_28_-_Variatio_27_a_2_Clav_Canone_alla_Nona",
		length = 111
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_29_-_Variatio_28_a_2_Clav",
		length = 146
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_30_-_Variatio_29_a_1_ovvero_2_Clav",
		length = 129
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_31_-_Variatio_30_a_1_Clav_Quodlibet",
		length = 121
	})
	mcla_music_api.register_song({
		name = "Kimiko_Ishizaka_-_32_-_Aria_da_Capo__Fine",
		length = 170
	})
end
